Element.JoinGeometry not working although geometry has intersection

I am selecting a floor and a wall that I would like to join their geometry.
Through the element.geometry and doesIntersect nodes you can see that they intersect but the element.joinGeometry doesn’t work…

Anyone know the issue and how to overcome it?

In revit, joining the two elements manually they do join…

Attached is the screenshot of the script and the section of the two elements marked.

without having the dynamo script and the model (wall level properties?) I was able to replicate a sample of what you show in the image. I may recommend you explore the Wall Join function as shown in the image and explore all options in the UI and see if that then allows dynamo to create the join.
Beam joins are also a bit touchy depending on the beam end relationships and if the Beam Joins are established.

1 Like

Thanks for the response.
My screenshot is a section view and it displays the walls and floors. The symbol of Wall Joins doesn’t seem to be relevent for the wall and floor connection… I did check it on the wall to wall connections and it is marked to allow join.

hi
try this


Pyhton script

import sys
import clr
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager

clr.AddReference("RevitAPI")
import Autodesk 
from Autodesk.Revit.DB import Element,Transaction,JoinGeometryUtils

doc = DocumentManager.Instance.CurrentDBDocument

elt1=UnwrapElement(IN[0])
elt2=UnwrapElement(IN[1])

b=JoinGeometryUtils.AreElementsJoined(doc,elt1,elt2)
if b==False:
    t=Transaction(doc,"Join the elements")
    t.Start()
    JoinGeometryUtils.JoinGeometry(doc,elt1,elt2)
    out="Join do"
    t.Commit()
else:
    out="Elements are Joined"
OUT = out

cordially
christian.stan

1 Like